Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class ResourceProperties

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--com.compoze.util.ObjectProperties
                              |
                              +--com.compoze.util.MutableProperties
                                    |
                                    +--com.compoze.util.ResourceProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Direct Known Subclasses:
  CalendarProperties, CompozeProperties, ContactProperties, DiscussionProperties, MailProperties, ToDoProperties

public class ResourceProperties
extends MutableProperties
implements java.io.Serializable

This class is a properties object where properties are read in from a resource in the system CLASSPATH.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected static java.lang.String` | `CONFIG_KEY`
`protected java.lang.String` | `m_sResourceName`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`ResourceProperties(java.lang.String sResourceName)` Constructor.
`ResourceProperties(java.lang.String sResourceName, java.util.Properties defaults)` Constructor.

Method Summary
`static void` | `main(java.lang.String[] args)` Exerciser.

Methods inherited from class com.compoze.util.MutableProperties
`getProperty, getProperty, propertyNames, setConfiguration`

Methods inherited from class com.compoze.util.ObjectProperties
`getBoolean, getBoolean, getByte, getByte, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getShort, getShort, getString, getString, getStringArray, getStringArray, getStringArray, replaceSubstitutions`

Methods inherited from class java.util.Properties
`list, list, load, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_KEY

    protected static final java.lang.String CONFIG_KEY

### m_sResourceName

    protected java.lang.String m_sResourceName

Constructor Detail

### ResourceProperties

    public ResourceProperties(java.lang.String sResourceName)

  Constructor.
  Parameters:
    `sResourceName` - the name of the resource (must be in the CLASSPATH)

### ResourceProperties

    public ResourceProperties(java.lang.String sResourceName,
                              java.util.Properties defaults)

  Constructor.
  Parameters:
    `sResourceName` - the name of the resource (must be in the CLASSPATH)
    `defaults` - a list of defaults used when a Property is not found

Method Detail

### main

    public static void main(java.lang.String[] args)

  Exerciser.
  Parameters:
    `args` - the command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.